<?php

   include("../scripts/connect.php");
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	
  
  
  
  
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $id_cd =$_POST['listacd']; 
$tipon =$_POST['nota']; 
$rfcs =$_POST['rfca']; 
$texti="";

if($rfcs!="TODOS"){
	$texti="and rfc='$rfcs'";
}

           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
 
 $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE tipostr_idtipostr=11 $texti and fechat between '$fecha1' and '$fecha2' order by idtransacciones";	 

  $c2 = mysql_query($q2) or die ('Errord en la consulta' . mysql_error());
  //
  if(mysql_affected_rows())
   {
  echo"<br><br><font size=\"+2\">Ventas anal&iacute;ticas del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
			<th></th><th>Pedido</th><th>Trans</th><th>Fecha</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Ini</th><th>PA</th><th>Asig</th><th>Dif</th><th>Por Pagar</th>
			
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   
	  $a7 = $r1[7];
	 
	 	 
	 $qp4 = "select sum(puntos) as tot from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones where nsalida=\"$a7\"";
  $cp4 = mysql_query($qp4) or die ('Errorq (Registro No Encontrado): ' . mysql_error());
  $rp4 = mysql_fetch_object($cp4);
  $asig = $rp4->tot;	
	  
	 
	 $qp = "select  sum(cant*puntos) as ini, sum(asignar*puntos) as pp from nsalida join productos on nsalida.productos_idprod=productos.id_prod where transacciones_idtransacciones=\"$a7\"";
  $cp = mysql_query($qp) or die ('Errorq (Registro No Encontrado): ' . mysql_error());
  $rp = mysql_fetch_object($cp);
  $ini = $rp->ini;	
	  $pp = $rp->pp;
	  	
	 $qpa = "select  sum(cant*puntos) as ini, sum(asignar*puntos) as pp from nsalida join promod on nsalida.productos_idprod=promod.id_promo where transacciones_idtransacciones=\"$a7\"";
  $cpa = mysql_query($qpa) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rpa = mysql_fetch_object($cpa);
  $ini2 = $rpa->ini;	
	  $pp2 = $rpa->pp; 
	  
	  $ini+=$ini2;
	  $pp+=$pp2; 
	   $a0 = $r1[0];
	
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	
	  $a8 = $r1[8];
	   $a9 = $r1[9];
	    $a10 = $r1[10];
		 $a11 = $r1[11];
		  $a12 = $r1[12];
		   $a13 = $r1[13];
		    $a14 = $r1[14];
			 $a15 = $r1[15];
			 $a16 = $r1[16];
			 $a17 = $r1[17];
			 $a18 = $r1[18];
			 $a19 = $r1[19];
	   $vef+=$a9;
	   $vdep+=$a10;
	   $vtarj+=$a11;
	   $vreg+=$a12;
	   $vvou+=$a13;
	   $ppag+=$a14;
	   $pasig+=$pp;
	 //  $ctot+=$a4;
	   $ptot+=$a5;
	      $nombrecliente="$a1 $a2 $a3";
	  
	$dif=$ini-$pp-$asig;
echo"
<tr>";
  if($a8!=1){echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\"><td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /><input type=hidden name=pedido value=$a7 />
	<input type=hidden name=centro value=$a16 />
	<input type=hidden name=dist value=$a19 /><input type=hidden name=tipon value=$a8 />
		  </form></td>";}else{echo"<td></td>";}
echo"<td>$a16"."-"."$a15</td><td>$a7</td><td>$a6</td><td>$a0</td><td>$nombrecliente</td><td>$a4</td><td>$ini</td><td>$pp</td><td>$asig</td><td>$dif</td><td>$a14</td>

</tr>
";
	}echo"</table>";
                                             }
                                             
                               
    $ctot=$vef+$vtarj+$vdep+$vreg+$vvou+$ppag;
									   echo"<br>Resumen:
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Compras</th><th>Puntos</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th></tr>
	<tr><td>$ $ctot</td><td>$ptot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td>
	<td>
		  
			<form name=\"busca\" action=\"reticket.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"RT\" /><input type=hidden name=transacc value=$a7 />
	
		  </form></td>
	
	</tr>
	
	
	
	</table>
	<br><br>Total de puntos pendientes por asignar: $pasig<br><br>";
            
?>